Bug 183681 - OpenProjectList should not have a visible lock
OpenProjectList should not have a visible lock
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Generic Projects UI
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@projects
https://netbeans.org/bugzilla/attachm...
: THREAD
Depends on:
Blocks: 183632 193579
  Show dependency treegraph
 
Reported: 2010-04-08 01:27 UTC by Jesse Glick
Modified: 2011-01-17 13:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2010-04-08 01:27:01 UTC
OpenProjectList.getOpenProjects acquires a monitor: OpenProjectList. Yet OpenProjectList.close, which holds that monitor (and also acquires OpenProjectList.RecentProjectList), calls foreign code (ProjectInfo.getDisplayName) which might acquire locks of its own.
Comment 1 Jesse Glick 2010-05-05 23:31:24 UTC
Probably too risky for 6.9 to rewrite lock semantics of OPL. But should be safe to call the ProjectInformation methods outside of the lock. core-main #5f2e839e0833
Comment 2 Quality Engineering 2010-05-10 09:17:24 UTC
Integrated into 'main-golden', will be available in build *201005100200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo